﻿using Infragistics.Controls.Layouts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamTileManager_layout
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
        
        private void XamTileManager_TileClosed(object sender, TileClosedEventArgs e)
        {
            var tileManager = (sender as XamTileManager);

            if (tileManager.Items.Count == 1)
            {
                (tileManager.Items[0] as XamTile).MaximizeButtonVisibility = Visibility.Collapsed;
                (tileManager.Items[0] as XamTile).CloseButtonVisibility = Visibility.Collapsed;
            }
        }

        private void XamTileManager_TileStateChanged(object sender, TileStateChangedEventArgs e)
        {

        }

        private void tileManager_Loaded(object sender, RoutedEventArgs e)
        {
            XamTileManager.SetRow(tileManager.Items[0] as XamTile, 0);
            XamTileManager.SetColumn(tileManager.Items[0] as XamTile, 0);
            XamTileManager.SetColumnSpan(tileManager.Items[0] as XamTile, 1);
            XamTileManager.SetRowSpan(tileManager.Items[0] as XamTile, 1);

            XamTileManager.SetRow(tileManager.Items[1] as XamTile, 0);
            XamTileManager.SetColumn(tileManager.Items[1] as XamTile, 1);
            XamTileManager.SetColumnSpan(tileManager.Items[1] as XamTile, 1);
            XamTileManager.SetRowSpan(tileManager.Items[1] as XamTile, 1);

            XamTileManager.SetRow(tileManager.Items[2] as XamTile, 1);
            XamTileManager.SetColumn(tileManager.Items[2] as XamTile, 0);
            XamTileManager.SetColumnSpan(tileManager.Items[2] as XamTile, 2);
            XamTileManager.SetRowSpan(tileManager.Items[2] as XamTile, 1);
        }
    }
}
